Author Topic: Upgrade Packages Problem...  (Read 1546 times)

m3xican

  • Newbie
  • *
  • Posts: 19
    • View Profile
Upgrade Packages Problem...
« on: July 31, 2005, 03:03:19 pm »
Hi,

I have just reflashed my Z SL-5500 with the last OZ release (zImage 64-0 and Opie 1.2) and then I have tried to follow the "Howto get r21 kernel on collie" news on OZ website, but ipkg stalls during upgrade procedure.

Flash works fine and all the modules are upgraded to r21 version, the problem is raised during libqte2 upgrade, the last thing that ipkg print out is:
Quote
upgrading libqte2 on root from 2.3.10-r12 to 2.3.10-r14...
downloading http://www.openzaurus.org/official/unstabl...-r14_collie.ipk

I have tried to upgrade under opie konsole and under Z console (logout from opie), obtaining the same result.

What could I do now?  
Till I collapse...
I will not fall,
I will stand tall...
Feels like no one can beat me


M3xican

join the Mars, Land of No Mercy adventure...

lardman

  • Hero Member
  • *****
  • Posts: 4512
    • View Profile
    • http://people.bath.ac.uk/enpsgp/Zaurus/
Upgrade Packages Problem...
« Reply #1 on: August 01, 2005, 08:50:14 am »
I thought the HowTo said to just upgrade the kernel modules?

If you attempt to perform an upgrade of the entire image you'll almost certainly run out of space on the collie. I imagine this is what has happened to you (what does 'mount' or 'df' show?).

There are a couple of threads about how to recover from this - basically you need to remove some stuff by hand so that ipkg has enough space to run, then use ipkg to remove/upgrade individual packages.


Si
C750 OZ3.5.4 (GPE, 2.6.x kernel)
SL5500 OZ3.5.4 (Opie)
Nokia 770
Serial GPS, WCF-12, Socket Ethernet & BT, Ratoc USB
WinXP, Mandriva

m3xican

  • Newbie
  • *
  • Posts: 19
    • View Profile
Upgrade Packages Problem...
« Reply #2 on: August 05, 2005, 07:10:31 pm »
I have tried to free space, I have freed 2.5 Mb, but ipkg stalls again on libqte2 (having 1320 Kb free).

Now I try to upgrade just modules...
Till I collapse...
I will not fall,
I will stand tall...
Feels like no one can beat me


M3xican

join the Mars, Land of No Mercy adventure...

m3xican

  • Newbie
  • *
  • Posts: 19
    • View Profile
Upgrade Packages Problem...
« Reply #3 on: August 05, 2005, 07:45:28 pm »
Well, upgrading just modules works fine, now I have the last kernel working on.

thanks lardman.
Till I collapse...
I will not fall,
I will stand tall...
Feels like no one can beat me


M3xican

join the Mars, Land of No Mercy adventure...